import ddf.minim.spi.*;
import ddf.minim.signals.*;
import ddf.minim.*;
import ddf.minim.analysis.*;
import ddf.minim.ugens.*;
import ddf.minim.effects.*;



float ang;
float ang1;
float ang2;
float ang3;
float ang4;
float l;
float l1;
float l2;
float l3;
float x;
float y;
float z;
float fx;

PShape horse;
AudioPlayer play;
Minim minim;



void setup() {
  size(700, 700, P3D);

  horse = loadShape("horse.svg");
  horse.scale(.5);
  minim = new Minim(this);
  play = minim.loadFile("garyedstrom__merry-go-round.wav");
}

void draw() {
  background(200);
  rectMode(CORNER);
  lights();
  pushMatrix();
  translate(width/2, (height/2)-20);
  //  float ag = map(30, x, 0, 450, 0);
  ang = ang + .001;
  ang1 = ang1 + .01;
  ang2 = ang2 + .1;
  ang3 = ang3 + 1;
  l = l/2 - tan(ang);
  l1 = l1/2 - tan(ang1);
  l2 = l2/2 - tan(ang2);
  l3 = l3/2 - tan(ang3);

  play.play();


  if (l>=random(150, 600)) {
    l = l - cos(ang);
  } else if (l<=-random(150, 600)) {
    l = l + cos(ang);
  }

  stroke(l3+100, l3+50, l3, 120);
  strokeWeight(5);


  //  println(l3);
  rotateY(PI/l);

  ////////////////////////////////////////////////////////////////////////////////////ROOF
  for (int i=0; i<1; i++) {
    rotateY(PI/3.0);
    fill(250-random(-l, l), 100-random(-l, l), 100-random(-l, l));
    //    quad(x, x, x-40, x+160, x, x+200+(l1/3), x+40, x+160);
    beginShape(QUADS);
    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x-30, x);
    vertex(x-40, x, x-160);

    vertex(x, x+10, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x, x);
    vertex(x-40, x, x-160);

    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x+10, x-200);
    vertex(x-40, x, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x, x-30, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x+10, x);
    vertex(x-160, x, x+40);
    vertex(x, x, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x-200, x+10, x);
    vertex(x-160, x, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x-30, x);
    vertex(x-40, x, x+160);

    vertex(x, x+10, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x, x);
    vertex(x-40, x, x+160);

    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x+10, x+200);
    vertex(x-40, x, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x, x-30, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x+10, x);
    vertex(x+160, x, x+40);
    vertex(x, x, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x+200, x+10, x);
    vertex(x+160, x, x-40);    
    endShape();

    rotateY(.52);
    fill(250-random(-l, l), 200-random(-l, l), 100-random(-l, l));
    beginShape(QUADS);
    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x-30, x);
    vertex(x-40, x, x-160);

    vertex(x, x+10, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x, x);
    vertex(x-40, x, x-160);

    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x+10, x-200);
    vertex(x-40, x, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x, x-30, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x+10, x);
    vertex(x-160, x, x+40);
    vertex(x, x, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x-200, x+10, x);
    vertex(x-160, x, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x-30, x);
    vertex(x-40, x, x+160);

    vertex(x, x+10, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x, x);
    vertex(x-40, x, x+160);

    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x+10, x+200);
    vertex(x-40, x, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x, x-30, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x+10, x);
    vertex(x+160, x, x+40);
    vertex(x, x, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x+200, x+10, x);
    vertex(x+160, x, x-40);    
    endShape();

    rotateY(.53);
    fill(155-random(-l, l), 200-random(-l, l), 200-random(-l, l));
    beginShape(QUADS);
    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x-30, x);
    vertex(x-40, x, x-160);

    vertex(x, x+10, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x, x);
    vertex(x-40, x, x-160);

    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x+10, x-200);
    vertex(x-40, x, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x, x-30, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x+10, x);
    vertex(x-160, x, x+40);
    vertex(x, x, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x-200, x+10, x);
    vertex(x-160, x, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x-30, x);
    vertex(x-40, x, x+160);

    vertex(x, x+10, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x, x);
    vertex(x-40, x, x+160);

    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x+10, x+200);
    vertex(x-40, x, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x, x-30, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x+10, x);
    vertex(x+160, x, x+40);
    vertex(x, x, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x+200, x+10, x);
    vertex(x+160, x, x-40);    
    endShape();

    rotateY(.25);////////////////////////////////2nd pinwheel, roof
    beginShape(QUADS);
    fill(250-random(-l, l), 100-random(-l, l), 100-random(-l, l));
    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x-30, x);
    vertex(x-40, x, x-160);

    vertex(x, x+10, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x, x);
    vertex(x-40, x, x-160);

    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x+10, x-200);
    vertex(x-40, x, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x, x-30, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x+10, x);
    vertex(x-160, x, x+40);
    vertex(x, x, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x-200, x+10, x);
    vertex(x-160, x, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x-30, x);
    vertex(x-40, x, x+160);

    vertex(x, x+10, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x, x);
    vertex(x-40, x, x+160);

    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x+10, x+200);
    vertex(x-40, x, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x, x-30, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x+10, x);
    vertex(x+160, x, x+40);
    vertex(x, x, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x+200, x+10, x);
    vertex(x+160, x, x-40);    
    endShape();

    rotateY(.52);
    fill(250-random(-l, l), 200-random(-l, l), 100-random(-l, l));
    beginShape(QUADS);
    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x-30, x);
    vertex(x-40, x, x-160);

    vertex(x, x+10, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x, x);
    vertex(x-40, x, x-160);

    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x+10, x-200);
    vertex(x-40, x, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x, x-30, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x+10, x);
    vertex(x-160, x, x+40);
    vertex(x, x, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x-200, x+10, x);
    vertex(x-160, x, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x-30, x);
    vertex(x-40, x, x+160);

    vertex(x, x+10, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x, x);
    vertex(x-40, x, x+160);

    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x+10, x+200);
    vertex(x-40, x, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x, x-30, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x+10, x);
    vertex(x+160, x, x+40);
    vertex(x, x, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x+200, x+10, x);
    vertex(x+160, x, x-40);    
    endShape();

    rotateY(.53);
    fill(155-random(-l, l), 200-random(-l, l), 200-random(-l, l));
    beginShape(QUADS);
    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x-30, x);
    vertex(x-40, x, x-160);

    vertex(x, x+10, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x, x);
    vertex(x-40, x, x-160);

    vertex(x, x-5, x-200);
    vertex(x+40, x, x-160);
    vertex(x, x+10, x-200);
    vertex(x-40, x, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x, x-30, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x+10, x);
    vertex(x-160, x, x+40);
    vertex(x, x, x);
    vertex(x-160, x, x-40);

    vertex(x-200, x-5, x);
    vertex(x-160, x, x+40);
    vertex(x-200, x+10, x);
    vertex(x-160, x, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x-30, x);
    vertex(x-40, x, x+160);

    vertex(x, x+10, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x, x);
    vertex(x-40, x, x+160);

    vertex(x, x-5, x+200);
    vertex(x+40, x, x+160);
    vertex(x, x+10, x+200);
    vertex(x-40, x, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x, x-30, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x+10, x);
    vertex(x+160, x, x+40);
    vertex(x, x, x);
    vertex(x+160, x, x-40);

    vertex(x+200, x-5, x);
    vertex(x+160, x, x+40);
    vertex(x+200, x+10, x);
    vertex(x+160, x, x-40);    
    endShape();

    translate(x, x-20);
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////Diamond top

    noStroke();
    fill(255-l, 0+random(-l, l), 127+l, 230);
    beginShape(QUADS);
    vertex(x, x-5, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x-30, x);
    vertex(x-10, x, x-16);

    vertex(x, x+10, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x, x);
    vertex(x-10, x, x-16);

    vertex(x, x-5, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x+10, x-20);
    vertex(x-10, x, x-16);    
    endShape();

    beginShape(QUADS);
    vertex(x-20, x-5, x);
    vertex(x-16, x, x+10);
    vertex(x, x-30, x);
    vertex(x-16, x, x-10);

    vertex(x-20, x+10, x);
    vertex(x-16, x, x+10);
    vertex(x, x, x);
    vertex(x-16, x, x-10);

    vertex(x-20, x-5, x);
    vertex(x-16, x, x+10);
    vertex(x-20, x+10, x);
    vertex(x-16, x, x-10);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x-30, x);
    vertex(x-10, x, x+16);

    vertex(x, x+10, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x, x);
    vertex(x-10, x, x+16);

    vertex(x, x-5, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x+10, x+20);
    vertex(x-10, x, x+16);    
    endShape();


    beginShape(QUADS);
    vertex(x+20, x-5, x);
    vertex(x+16, x, x+10);
    vertex(x, x-30, x);
    vertex(x+16, x, x-10);

    vertex(x+20, x+10, x);
    vertex(x+16, x, x+10);
    vertex(x, x, x);
    vertex(x+16, x, x-10);

    vertex(x+20, x-5, x);
    vertex(x+16, x, x+10);
    vertex(x+20, x+10, x);
    vertex(x+16, x, x-10);    
    endShape();

    rotateY(.52);

    fill(255-l, 0+random(-l, l), 127+l, 230);
    beginShape(QUADS);
    vertex(x, x-5, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x-30, x);
    vertex(x-10, x, x-16);

    vertex(x, x+10, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x, x);
    vertex(x-10, x, x-16);

    vertex(x, x-5, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x+10, x-20);
    vertex(x-10, x, x-16);    
    endShape();

    beginShape(QUADS);
    vertex(x-20, x-5, x);
    vertex(x-16, x, x+10);
    vertex(x, x-30, x);
    vertex(x-16, x, x-10);

    vertex(x-20, x+10, x);
    vertex(x-16, x, x+10);
    vertex(x, x, x);
    vertex(x-16, x, x-10);

    vertex(x-20, x-5, x);
    vertex(x-16, x, x+10);
    vertex(x-20, x+10, x);
    vertex(x-16, x, x-10);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x-30, x);
    vertex(x-10, x, x+16);

    vertex(x, x+10, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x, x);
    vertex(x-10, x, x+16);

    vertex(x, x-5, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x+10, x+20);
    vertex(x-10, x, x+16);    
    endShape();


    beginShape(QUADS);
    vertex(x+20, x-5, x);
    vertex(x+16, x, x+10);
    vertex(x, x-30, x);
    vertex(x+16, x, x-10);

    vertex(x+20, x+10, x);
    vertex(x+16, x, x+10);
    vertex(x, x, x);
    vertex(x+16, x, x-10);

    vertex(x+20, x-5, x);
    vertex(x+16, x, x+10);
    vertex(x+20, x+10, x);
    vertex(x+16, x, x-10);    
    endShape();

    rotateY(.53);
    fill(255-l, 0+random(-l, l), 127+l, 230);
    beginShape(QUADS);
    vertex(x, x-5, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x-30, x);
    vertex(x-10, x, x-16);

    vertex(x, x+10, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x, x);
    vertex(x-10, x, x-16);

    vertex(x, x-5, x-20);
    vertex(x+10, x, x-16);
    vertex(x, x+10, x-20);
    vertex(x-10, x, x-16);    
    endShape();

    beginShape(QUADS);
    vertex(x-20, x-5, x);
    vertex(x-16, x, x+10);
    vertex(x, x-30, x);
    vertex(x-16, x, x-10);

    vertex(x-20, x+10, x);
    vertex(x-16, x, x+10);
    vertex(x, x, x);
    vertex(x-16, x, x-10);

    vertex(x-20, x-5, x);
    vertex(x-16, x, x+10);
    vertex(x-20, x+10, x);
    vertex(x-16, x, x-10);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x-30, x);
    vertex(x-10, x, x+16);

    vertex(x, x+10, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x, x);
    vertex(x-10, x, x+16);

    vertex(x, x-5, x+20);
    vertex(x+10, x, x+16);
    vertex(x, x+10, x+20);
    vertex(x-10, x, x+16);    
    endShape();


    beginShape(QUADS);
    vertex(x+20, x-5, x);
    vertex(x+16, x, x+10);
    vertex(x, x-30, x);
    vertex(x+16, x, x-10);

    vertex(x+20, x+10, x);
    vertex(x+16, x, x+10);
    vertex(x, x, x);
    vertex(x+16, x, x-10);

    vertex(x+20, x-5, x);
    vertex(x+16, x, x+10);
    vertex(x+20, x+10, x);
    vertex(x+16, x, x-10);    
    endShape();

    rotateY(.25);////////////////////////////////2nd
    beginShape(QUADS);
    vertex(x, x-5, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x-20, x);
    vertex(x-10, x, x-26);

    vertex(x, x+10, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x, x);
    vertex(x-10, x, x-26);

    vertex(x, x-5, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x+10, x-30);
    vertex(x-10, x, x-26);    
    endShape();

    beginShape(QUADS);
    vertex(x-30, x-5, x);
    vertex(x-26, x, x+10);
    vertex(x, x-20, x);
    vertex(x-26, x, x-10);

    vertex(x-30, x+10, x);
    vertex(x-26, x, x+10);
    vertex(x, x, x);
    vertex(x-26, x, x-10);

    vertex(x-30, x-5, x);
    vertex(x-26, x, x+10);
    vertex(x-30, x+10, x);
    vertex(x-26, x, x-10);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x-20, x);
    vertex(x-10, x, x+26);

    vertex(x, x+10, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x, x);
    vertex(x-10, x, x+26);

    vertex(x, x-5, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x+10, x+30);
    vertex(x-10, x, x+26);    
    endShape();


    beginShape(QUADS);
    vertex(x+30, x-5, x);
    vertex(x+26, x, x+10);
    vertex(x, x-20, x);
    vertex(x+26, x, x-10);

    vertex(x+30, x+10, x);
    vertex(x+26, x, x+10);
    vertex(x, x, x);
    vertex(x+26, x, x-10);

    vertex(x+30, x-5, x);
    vertex(x+26, x, x+10);
    vertex(x+30, x+10, x);
    vertex(x+26, x, x-10);    
    endShape();

    rotateY(.52);
    beginShape(QUADS);
    vertex(x, x-5, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x-20, x);
    vertex(x-10, x, x-26);

    vertex(x, x+10, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x, x);
    vertex(x-10, x, x-26);

    vertex(x, x-5, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x+10, x-30);
    vertex(x-10, x, x-26);    
    endShape();

    beginShape(QUADS);
    vertex(x-30, x-5, x);
    vertex(x-26, x, x+10);
    vertex(x, x-20, x);
    vertex(x-26, x, x-10);

    vertex(x-30, x+10, x);
    vertex(x-26, x, x+10);
    vertex(x, x, x);
    vertex(x-26, x, x-10);

    vertex(x-30, x-5, x);
    vertex(x-26, x, x+10);
    vertex(x-30, x+10, x);
    vertex(x-26, x, x-10);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x-20, x);
    vertex(x-10, x, x+26);

    vertex(x, x+10, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x, x);
    vertex(x-10, x, x+26);

    vertex(x, x-5, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x+10, x+30);
    vertex(x-10, x, x+26);    
    endShape();


    beginShape(QUADS);
    vertex(x+30, x-5, x);
    vertex(x+26, x, x+10);
    vertex(x, x-20, x);
    vertex(x+26, x, x-10);

    vertex(x+30, x+10, x);
    vertex(x+26, x, x+10);
    vertex(x, x, x);
    vertex(x+26, x, x-10);

    vertex(x+30, x-5, x);
    vertex(x+26, x, x+10);
    vertex(x+30, x+10, x);
    vertex(x+26, x, x-10);    
    endShape();

    rotateY(.53);
    beginShape(QUADS);
    vertex(x, x-5, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x-20, x);
    vertex(x-10, x, x-26);

    vertex(x, x+10, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x, x);
    vertex(x-10, x, x-26);

    vertex(x, x-5, x-30);
    vertex(x+10, x, x-26);
    vertex(x, x+10, x-30);
    vertex(x-10, x, x-26);    
    endShape();

    beginShape(QUADS);
    vertex(x-30, x-5, x);
    vertex(x-26, x, x+10);
    vertex(x, x-20, x);
    vertex(x-26, x, x-10);

    vertex(x-30, x+10, x);
    vertex(x-26, x, x+10);
    vertex(x, x, x);
    vertex(x-26, x, x-10);

    vertex(x-30, x-5, x);
    vertex(x-26, x, x+10);
    vertex(x-30, x+10, x);
    vertex(x-26, x, x-10);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x-20, x);
    vertex(x-10, x, x+26);

    vertex(x, x+10, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x, x);
    vertex(x-10, x, x+26);

    vertex(x, x-5, x+30);
    vertex(x+10, x, x+26);
    vertex(x, x+10, x+30);
    vertex(x-10, x, x+26);    
    endShape();


    beginShape(QUADS);
    vertex(x+30, x-5, x);
    vertex(x+26, x, x+10);
    vertex(x, x-20, x);
    vertex(x+26, x, x-10);

    vertex(x+30, x+10, x);
    vertex(x+26, x, x+10);
    vertex(x, x, x);
    vertex(x+26, x, x-10);

    vertex(x+30, x-5, x);
    vertex(x+26, x, x+10);
    vertex(x+30, x+10, x);
    vertex(x+26, x, x-10);    
    endShape();

    //////////////////////////////////////////////////////////////////////////////////floor

    translate(x, x+150);
    fill(120-random(-l, l), 120-random(-l, l), 120-random(-l, l));
    beginShape(QUADS);
    vertex(x, x-5, x-160);
    vertex(x+40, x-5, x-160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x-160);

    vertex(x, x+5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x-160);

    vertex(x+40, x-5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x-40, x+5, x-160);
    vertex(x-40, x-5, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-160, x-5, x);
    vertex(x-160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x-160, x-5, x-40);

    vertex(x-160, x+5, x);
    vertex(x-160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x-160, x+5, x-40);

    vertex(x-160, x-5, x+40);
    vertex(x-160, x+5, x+40);
    vertex(x-160, x+5, x-40);
    vertex(x-160, x-5, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+160);
    vertex(x+40, x-5, x+160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x+160);

    vertex(x, x+5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x+160);

    vertex(x+40, x-5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x-40, x+5, x+160);
    vertex(x-40, x-5, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+160, x-5, x);
    vertex(x+160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x+160, x-5, x-40);

    vertex(x+160, x+5, x);
    vertex(x+160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x+160, x+5, x-40);

    vertex(x+160, x-5, x+40);
    vertex(x+160, x+5, x+40);
    vertex(x+160, x+5, x-40);
    vertex(x+160, x-5, x-40);    
    endShape();

    rotateY(.52);
    beginShape(QUADS);
    vertex(x, x-5, x-160);
    vertex(x+40, x-5, x-160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x-160);

    vertex(x, x+5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x-160);

    vertex(x+40, x-5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x-40, x+5, x-160);
    vertex(x-40, x-5, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-160, x-5, x);
    vertex(x-160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x-160, x-5, x-40);

    vertex(x-160, x+5, x);
    vertex(x-160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x-160, x+5, x-40);

    vertex(x-160, x-5, x+40);
    vertex(x-160, x+5, x+40);
    vertex(x-160, x+5, x-40);
    vertex(x-160, x-5, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+160);
    vertex(x+40, x-5, x+160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x+160);

    vertex(x, x+5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x+160);

    vertex(x+40, x-5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x-40, x+5, x+160);
    vertex(x-40, x-5, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+160, x-5, x);
    vertex(x+160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x+160, x-5, x-40);

    vertex(x+160, x+5, x);
    vertex(x+160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x+160, x+5, x-40);

    vertex(x+160, x-5, x+40);
    vertex(x+160, x+5, x+40);
    vertex(x+160, x+5, x-40);
    vertex(x+160, x-5, x-40);    
    endShape();

    rotateY(.53);
    beginShape(QUADS);
    vertex(x, x-5, x-160);
    vertex(x+40, x-5, x-160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x-160);

    vertex(x, x+5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x-160);

    vertex(x+40, x-5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x-40, x+5, x-160);
    vertex(x-40, x-5, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-160, x-5, x);
    vertex(x-160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x-160, x-5, x-40);

    vertex(x-160, x+5, x);
    vertex(x-160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x-160, x+5, x-40);

    vertex(x-160, x-5, x+40);
    vertex(x-160, x+5, x+40);
    vertex(x-160, x+5, x-40);
    vertex(x-160, x-5, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+160);
    vertex(x+40, x-5, x+160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x+160);

    vertex(x, x+5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x+160);

    vertex(x+40, x-5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x-40, x+5, x+160);
    vertex(x-40, x-5, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+160, x-5, x);
    vertex(x+160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x+160, x-5, x-40);

    vertex(x+160, x+5, x);
    vertex(x+160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x+160, x+5, x-40);

    vertex(x+160, x-5, x+40);
    vertex(x+160, x+5, x+40);
    vertex(x+160, x+5, x-40);
    vertex(x+160, x-5, x-40);    
    endShape();

    ////////////////////////////////////2ND PIN WHEEL, FLOOR
    rotateY(.25);
    beginShape(QUADS);
    vertex(x, x-5, x-160);
    vertex(x+40, x-5, x-160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x-160);

    vertex(x, x+5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x-160);

    vertex(x+40, x-5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x-40, x+5, x-160);
    vertex(x-40, x-5, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-160, x-5, x);
    vertex(x-160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x-160, x-5, x-40);

    vertex(x-160, x+5, x);
    vertex(x-160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x-160, x+5, x-40);

    vertex(x-160, x-5, x+40);
    vertex(x-160, x+5, x+40);
    vertex(x-160, x+5, x-40);
    vertex(x-160, x-5, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+160);
    vertex(x+40, x-5, x+160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x+160);

    vertex(x, x+5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x+160);

    vertex(x+40, x-5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x-40, x+5, x+160);
    vertex(x-40, x-5, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+160, x-5, x);
    vertex(x+160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x+160, x-5, x-40);

    vertex(x+160, x+5, x);
    vertex(x+160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x+160, x+5, x-40);

    vertex(x+160, x-5, x+40);
    vertex(x+160, x+5, x+40);
    vertex(x+160, x+5, x-40);
    vertex(x+160, x-5, x-40);    
    endShape();

    rotateY(.52);
    beginShape(QUADS);
    vertex(x, x-5, x-160);
    vertex(x+40, x-5, x-160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x-160);

    vertex(x, x+5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x-160);

    vertex(x+40, x-5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x-40, x+5, x-160);
    vertex(x-40, x-5, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-160, x-5, x);
    vertex(x-160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x-160, x-5, x-40);

    vertex(x-160, x+5, x);
    vertex(x-160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x-160, x+5, x-40);

    vertex(x-160, x-5, x+40);
    vertex(x-160, x+5, x+40);
    vertex(x-160, x+5, x-40);
    vertex(x-160, x-5, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+160);
    vertex(x+40, x-5, x+160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x+160);

    vertex(x, x+5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x+160);

    vertex(x+40, x-5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x-40, x+5, x+160);
    vertex(x-40, x-5, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+160, x-5, x);
    vertex(x+160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x+160, x-5, x-40);

    vertex(x+160, x+5, x);
    vertex(x+160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x+160, x+5, x-40);

    vertex(x+160, x-5, x+40);
    vertex(x+160, x+5, x+40);
    vertex(x+160, x+5, x-40);
    vertex(x+160, x-5, x-40);    
    endShape();

    rotateY(.53);
    beginShape(QUADS);
    vertex(x, x-5, x-160);
    vertex(x+40, x-5, x-160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x-160);

    vertex(x, x+5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x-160);

    vertex(x+40, x-5, x-160);
    vertex(x+40, x+5, x-160);
    vertex(x-40, x+5, x-160);
    vertex(x-40, x-5, x-160);    
    endShape();

    beginShape(QUADS);
    vertex(x-160, x-5, x);
    vertex(x-160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x-160, x-5, x-40);

    vertex(x-160, x+5, x);
    vertex(x-160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x-160, x+5, x-40);

    vertex(x-160, x-5, x+40);
    vertex(x-160, x+5, x+40);
    vertex(x-160, x+5, x-40);
    vertex(x-160, x-5, x-40);    
    endShape();

    beginShape(QUADS);
    vertex(x, x-5, x+160);
    vertex(x+40, x-5, x+160);
    vertex(x, x-5, x);
    vertex(x-40, x-5, x+160);

    vertex(x, x+5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x, x+5, x);
    vertex(x-40, x+5, x+160);

    vertex(x+40, x-5, x+160);
    vertex(x+40, x+5, x+160);
    vertex(x-40, x+5, x+160);
    vertex(x-40, x-5, x+160);    
    endShape();


    beginShape(QUADS);
    vertex(x+160, x-5, x);
    vertex(x+160, x-5, x+40);
    vertex(x, x-5, x);
    vertex(x+160, x-5, x-40);

    vertex(x+160, x+5, x);
    vertex(x+160, x+5, x+40);
    vertex(x, x+5, x);
    vertex(x+160, x+5, x-40);

    vertex(x+160, x-5, x+40);
    vertex(x+160, x+5, x+40);
    vertex(x+160, x+5, x-40);
    vertex(x+160, x-5, x-40);    
    endShape();


    /////////////////////////////////////////////////////////////poles


    ///Center pole
    translate(x, x-50);
    fill(0-l, 0+random(-l, l), 0+l, 230);
    box(x+10, x+150, x+10);
    rotateY(.5);
    fill(100-l, 100+random(-l, l), 100+l, 230);
    box(x+10, x+150, x+10);
    popMatrix();
  }
  /////////Poles
  for (int i=0; i<1; i++) {
    translate(width/2, height/2);
    pushMatrix();
    rotateY(PI/l);
    translate(x+120, x+50);

    fill(0-l, 0+random(-l, l), 0+l, 230);
    box(x+2, x+150, x+2);
    rotateY(.5);
    fill(100-l, 100+random(-l, l), 100+l, 230);
    box(x+2, x+150, x+2);


    fill(0-l, 0+random(-l, l), 0+l, 230);
    box(x-2, x+150, x-2);
    rotateY(.5);
    fill(100-l, 100+random(-l, l), 100+l, 230);
    box(x-2, x+150, x-2);
    for (int i2=0; i2<1; i2++) {
      beginShape();
      horse.tint(30+l, 50+l, 70+l, 10+l);
      endShape();  
      shape(horse, x+35, x-35, x-70, x+70);
    }
    popMatrix();
  }





  //   translate(width/2,height/2);
  //////TOP
  translate(fx,x-200,x-400);
  for (int i2=0; i2< (play.bufferSize ()-1)/15; i2++) {
    float sicl = play.left.get(i2)*3;
    float sicr = play.right.get(i2)*50;
    fx = fx+sicl;
    
    for (int i=0; i<2; i++) {

      rotateX(sicr);
      fx = fx+i/16;
      noStroke();
      rotateY(PI/3.0);
      rectMode(CENTER);
      fill(255+l3);
      rect(fx, fx, 20, 20);


      fill(random(255)-l, random(10)+random(-fx, l), random(127)+l, 230+fx);
      rectMode(CORNER);
      noStroke();
      rect(fx-20, fx-20, 20, 20);
      fill(255, 4);
      rect(fx-19, fx-19, 20, 20);
      fill(l-random(-i, i), l-random(-i, i), l-random(-i, i), 5);
      rect(fx, fx, -10, -50);
      rect(fx-1, fx-1, -70, -10);
      fill((120)+l1+random(-i, i), (120)+l2+random(-i, i), (120)+l3*2+random(-i, i),255-fx);
      ellipse(fx-60, fx-60, 10, 10);

      fill(255-l, 0+random(-l, l), 127+l, 230);
      noStroke();
      rect(fx, fx, 20, 20);
      fill(255, 4);
      rect(fx-1, fx-1, 20, 20);
      fill(l-random(-i, i), l-random(-i, i), l-random(-i, i), 5+fx);
      rect(fx+1, fx+1, 10, 50);
      rect(fx+1, fx+1, 70, 10);
      fill((120)+l1+random(-i, i), (120)+l2+random(-i, i), (120)+l3*2+random(-i, i),255-fx);
      ellipse(fx+60, fx+60, 10, 10);


      fill(255-l, 0+random(-l, l), 127+l, 230+fx);
      noStroke();
      rect(fx, fx, -20, 20);
      fill(255, 4);
      rect(fx+1, fx+1, -20, 20);
      fill(l-random(-i, i), l-random(-i, i), l-random(-i, i), 5);
      rect(fx, fx, -10, 70);
      rect(fx, fx, -50, 10);
      fill((120)+l1+random(-i, i), (120)+l2+random(-i, i), (120)+l3*2+random(-i, i));
      ellipse(fx-60, fx+60, 10, 10);

      fill(255-l, 0+random(-l, l), 127+l, 230+fx);
      noStroke();
      rect(fx, fx, 20, -20);
      fill(255, 4);
      rect(fx-1, fx-1, 20, -20);
      rect(fx+1, fx, 50, -10);
      rect(fx+1, fx+1, 10, -70);
      fill((120)+l1+random(-fx, i2), (120)+l2+random(-fx, i2), (120)+l3*2+random(-fx, i2),55-fx);
      ellipse(fx+60, fx-60, 10, 10);
    }
  }
}

